Subject: Re: bug#34852: 26.1; seq-intersection ignores nil as element

From: Michael Heerdegen <[email-masked]>
Date: Mon, 18 Mar 2019 20:06:49 +0100

Nicolas Petton <[email-masked]> writes:

> - seq-contains returns the element found on purpose, it is not a
>   predicate.  I think it has its use-cases, and I don't want to change
>   it into a predicate now (I would have to rename it anyway).

I think most current appearances are using it as a predicate, however.
What do you intend - obsolete seq-contains?  I don't think we should
have an additional function - seq-contains already overlaps with
seq-some.

Why would you have to rename it btw?  To add a -p (I ask because
seq-some also doesn't end with -p)?  Just pondering...

Michael.